### deferred_values

Encapsulates deferred values.

    template<
        typename... Values>
    class deferred_values

##### Member Functions

Name | Description
--- | ---
deferred_values [constructor] | Construct a deferred asynchronous operation from the arguments to an initiation function object.
detail::index_sequence_for |
operator() | Initiate the deferred operation using the supplied completion token.

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`